<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.freightsoftware.activity.Details"
    android:background="#f4f4f4">

    <LinearLayout
        android:id="@+id/ll_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <include layout="@layout/ll_header" />


    </LinearLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/ll_header">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/margin_20dp">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5dp"
                android:orientation="horizontal">

                <CheckBox
                    android:id="@+id/ck_check"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:button="@drawable/bg_checkbox"
                    android:checked="true"
                    android:paddingLeft="@dimen/margin_10dp"
                    android:text="@string/text_public"
                    android:textColor="@color/color_dark_gray"
                    android:textSize="@dimen/font_16sp"/>

            </LinearLayout>


            <com.freightsoftware.View.RegularFontTextView
                android:layout_marginTop="@dimen/margin_20dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/margin_1dp"
                android:paddingTop="@dimen/margin_15dp"
                android:text="@string/text_document_type"
                android:textAllCaps="true"
                android:textColor="@color/text_color"
                android:textSize="@dimen/font_16sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5dp"
                android:background="@drawable/bg_edittext"
                android:orientation="horizontal">

                <ProgressBar
                    android:id="@+id/progressBar_doc"
                    style="?android:attr/progressBarStyleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center"
                    android:visibility="gone" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:paddingTop="@dimen/margin_5dp"
                    android:paddingBottom="@dimen/margin_5dp"
                    android:src="@drawable/ic_document_type" />

                <ImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:background="@null"
                    android:clickable="false"
                    android:padding="@dimen/margin_10dp"
                    android:rotation="0"
                    android:src="@drawable/ic_drop_down" />

                <Spinner
                    android:id="@+id/sp_doc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/margin_30dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:textColor="@color/color_dark_gray"
                    android:textSize="@dimen/font_18sp"
                    android:textStyle="normal" />


            </RelativeLayout>

            <com.freightsoftware.View.RegularFontTextView
                android:layout_marginTop="@dimen/margin_20dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/margin_1dp"
                android:text="@string/text_print_name"
                android:textAllCaps="true"
                android:textColor="@color/text_color"
                android:textSize="@dimen/font_16sp" />

            <com.freightsoftware.View.RegularFontEditText
                android:id="@+id/et_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:background="@drawable/bg_edittext"
                android:ellipsize="end"
                android:gravity="start|center_vertical"
                android:hint="@string/text_enter_here"
                android:inputType="text"
                android:maxLines="1"
                android:paddingBottom="@dimen/margin_10dp"
                android:paddingEnd="@dimen/margin_10dp"
                android:paddingRight="@dimen/margin_10dp"
                android:paddingTop="@dimen/margin_10dp"
                android:textColor="@color/color_dark_gray"
                android:textColorHint="@color/color_dark_gray"
                android:textSize="@dimen/font_16sp" />


            <!--<ImageView-->
                <!--android:layout_marginTop="@dimen/margin_20dp"-->
                <!--android:layout_marginBottom="@dimen/margin_40dp"-->
                <!--android:layout_gravity="center"-->
                <!--android:layout_width="wrap_content"-->
                <!--android:layout_height="wrap_content"-->
                <!--android:src="@drawable/placeholder_signature"/>-->


            <com.github.gcacace.signaturepad.views.SignaturePad
                xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:app="http://schemas.android.com/apk/res-auto"
                android:id="@+id/signature_pad"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                app:penColor="@color/color_blue"
                android:layout_marginTop="@dimen/margin_20dp"
                android:layout_marginBottom="@dimen/margin_40dp"
                android:background="@drawable/dotted_signature"/>

        <com.freightsoftware.View.RegularFontButton
            android:id="@+id/btn_reset"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@drawable/bg_reset"
            android:text="@string/text_reset"
            android:textAllCaps="true"
            android:textColor="@color/color_white"
            android:textScaleX="1.1"
            android:textSize="@dimen/font_20sp"
            android:layout_marginBottom="@dimen/margin_10dp"
            android:visibility="gone"/>


        <com.freightsoftware.View.RegularFontButton
            android:id="@+id/btn_save"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@drawable/bg_login"
            android:text="@string/text_save"
            android:textAllCaps="true"
            android:textColor="@color/color_white"
            android:textScaleX="1.1"
            android:textSize="@dimen/font_20sp"
            android:layout_marginBottom="@dimen/margin_10dp"/>

    </LinearLayout>
</ScrollView>


<include layout="@layout/layout_circular_progressbar" />

</RelativeLayout>
